--- title: "Bulk create SSO users" slug: "post-users" updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/post-users" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Bulk create SSO users Available in Classic and VPC Bulk create SSO users of one or more based on the user information of an external account. You can log in to the NAVER Cloud Platform with the external account used to create the SSO user. Note Up to 100 SSO users can be created. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/users/bulk | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `params` | Array | Required | [SSO user information](/docs/en/post-users#params) | #### `params` The following describes `params`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `loginId` | String | Required | SSO user login ID - 3-60 characters. - Email format. - Can't be changed after creation. | | `description` | String | Optional | SSO user description - 0-300 characters | | `userProfile` | Object | Optional | SSO user profile information | | `userProfile.firstName` | String | Optional | SSO user name - 0-200 characters | | `userProfile.lastName` | String | Optional | SSO user last name - 0-200 characters | | `userProfile.email` | String | Optional | SSO user email address - 0-200 characters | | `userProfile.empNo` | String | Optional | SSO user employee number - 0-200 characters | | `userProfile.phoneCountryCode` | String | Optional | SSO user country code - 0-10 characters - Country code format | | `userProfile.phoneNo` | String | Optional | SSO user mobile phone number - 0-200 characters - Mobile phone number format | | `userProfile.deptName` | String | Optional | SSO user department name - 0-200 characters | | `accessRules` | Object | Required | Access rule information | | `accessRules.consoleAccessAllowed` | Boolean | Required | Whether to allow console access - `true` \| `false` - `true`: Allow - `false`: Not allow | | `accessRules.apiAccessAllowed` | Boolean | Required | Whether to allow API Gateway access - `true` \| `false` - `true`: Allow - `false`: Not allow | | `tags` | Object | Optional | Policy's tag - Up to 20 per resource. - Enter in the `{tagKey}:{tagValue}` format. - tagKey: Enter up to 128 characters by combining English letters, numbers, and special characters "*", ".", "/", "=", "+", "-", and "@".* - *tagValue: Enter up to 256 characters by combining English letters, numbers, and special characters "*", ".", "/", "=", "+", "-", and "@". | ### Request example The request example is as follows: ``` curl --location POST 'https://sso.apigw.ntruss.com/api/v1/users/bulk' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "params": [ { "loginId": "******@ncloud.com", "description": "SSO User", "userProfile": { "firstName": "Gildong", "lastName": "Hong", "email": "******@ncloud.com", "empNo": "0012341234", "phoneCountryCode": "82", "phoneNo": "010-0000-0000", "deptName": "Department 1" }, "accessRules": { "consoleAccessAllowed": true, "apiAccessAllowed": true }, tags: { "tagKey1": "tagValue1", "team": "a" } }, { "loginId": "******@ncloud.com", "description": "SSO User", "userProfile": { "firstName": "Chulsoo", "lastName": "Kim", "email": "******@ncloud.com", "empNo": "00110011", "phoneCountryCode": "82", "phoneNo": "010-1100-0000", "deptName": "Department 2" }, "accessRules": { "consoleAccessAllowed": true, "apiAccessAllowed": true }, tags: { "tagKey2: "tagValue2", "team": "b" } } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | SSO user ID | | `name` | String | - | SSO user login ID | | `nrn` | String | - | NAVER Cloud Platform resource identification value for SSO user | | `success` | Boolean | - | API processing result | ### Response status codes For information about the HTTP status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "id": "6b0d0df7-****-****-****-1a11f29b5c34", "name": "******@ncloud.com", "nrn": "nrn:PUB:SSO::*******:User/6b0d0df7-****-****-****-1a11f29b5c34", "success": true }, { "id": "ba0def04-****-****-****-ff0b962016f7", "name": "******@ncloud.com", "nrn": "nrn:PUB:SSO::*******:User/ba0def04-****-****-****-ff0b962016f7", "success": true } ] ```